Package org.apache.commons.collections4.bag

# Class PredicatedSortedBag<E>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
org.apache.commons.collections4.collection.PredicatedCollection<E>
org.apache.commons.collections4.bag.PredicatedBag<E>
org.apache.commons.collections4.bag.PredicatedSortedBag<E>

Type Parameters:
  `E` - The type of elements in this bag

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `Bag<E>`, `SortedBag<E>`

@Deprecated public class PredicatedSortedBag<E> extends PredicatedBag<E> implements SortedBag<E>
Deprecated.
Since 4.6.0, use `PredicatedSortedMultiSet` instead.
Decorates another `SortedBag` to validate that additions match a specified predicate.

This bag exists to provide validation for the decorated bag. It is normally created to decorate an empty bag. If an object cannot be added to the bag, an `IllegalArgumentException` is thrown.

One usage would be to ensure that no null entries are added to the bag.

     SortedBag bag = PredicatedSortedBag.predicatedSortedBag(new TreeBag(), NotNullPredicate.INSTANCE);

This class is Serializable from Commons Collections 3.1.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.collections4.collection.PredicatedCollection

  `PredicatedCollection.Builder<E>`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.collection.PredicatedCollection

  `predicate`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PredicatedSortedBag(SortedBag<E> bag, Predicate<? super E> predicate)`
  Deprecated.
  Constructor that wraps (not copies).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparator<? super E>`
  `comparator()`
  Deprecated.
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
  `protected SortedBag<E>`
  `decorated()`
  Deprecated.
  Gets the decorated sorted bag.
  `E`
  `first()`
  Deprecated.
  Returns the first (lowest) member.
  `E`
  `last()`
  Deprecated.
  Returns the last (highest) member.
  `static <E> PredicatedSortedBag<E>`
  `predicatedSortedBag(SortedBag<E> bag, Predicate<? super E> predicate)`
  Deprecated.
  Factory method to create a predicated (validating) bag.

  ### Methods inherited from class org.apache.commons.collections4.bag.PredicatedBag

  `add, equals, getCount, hashCode, predicatedBag, remove, uniqueSet`

  ### Methods inherited from class org.apache.commons.collections4.collection.PredicatedCollection

  `add, addAll, builder, notNullBuilder, predicatedCollection, validate`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `clear, contains, containsAll, isEmpty, iterator, remove, removeAll, removeIf, retainAll, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.collections4.Bag

  `add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

  ### Methods inherited from interface java.util.Collection

  `addAll, clear, contains, equals, hashCode, isEmpty, parallelStream, removeIf, spliterator, stream, toArray, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Constructor Details

  - ### PredicatedSortedBag

    protected PredicatedSortedBag(SortedBag<E> bag, Predicate<? super E> predicate)
    Deprecated.
    Constructor that wraps (not copies).

    If there are any elements already in the bag being decorated, they are validated.

    Parameters:
      `bag` - The bag to decorate, must not be null
      `predicate` - The predicate to use for validation, must not be null
    Throws:
      `NullPointerException` - if bag or predicate is null
      `IllegalArgumentException` - if the bag contains invalid elements

- ## Method Details

  - ### predicatedSortedBag

    public static <E> PredicatedSortedBag<E> predicatedSortedBag(SortedBag<E> bag, Predicate<? super E> predicate)
    Deprecated.
    Factory method to create a predicated (validating) bag.

    If there are any elements already in the bag being decorated, they are validated.

    Type Parameters:
      `E` - The type of the elements in the bag
    Parameters:
      `bag` - The bag to decorate, must not be null
      `predicate` - The predicate to use for validation, must not be null
    Returns:
      A new predicated SortedBag
    Throws:
      `NullPointerException` - if bag or predicate is null
      `IllegalArgumentException` - if the bag contains invalid elements
    Since:
      4.0

  - ### comparator

    public Comparator<? super E> comparator()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
    Specified by:
      `comparator` in interface `SortedBag<E>`
    Returns:
      The comparator in use, or null if natural ordering.

  - ### decorated

    protected SortedBag<E> decorated()
    Deprecated.
    Gets the decorated sorted bag.
    Overrides:
      `decorated` in class `PredicatedBag<E>`
    Returns:
      The decorated bag

  - ### first

    public E first()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the first (lowest) member.
    Specified by:
      `first` in interface `SortedBag<E>`
    Returns:
      The first element in the sorted bag.

  - ### last

    public E last()
    Deprecated.
    Description copied from interface: `SortedBag`
    Returns the last (highest) member.
    Specified by:
      `last` in interface `SortedBag<E>`
    Returns:
      The last element in the sorted bag.